**********************************
*Brancati, BJPS, Regional Parties*
**********************************

use "/Users/brancati/Documents/Publications/BJPS2008/BJPS Final Version/Brancati_BJPSrep.dta"
drop if cnty == "Bosnia-Herzegovina"
tabstat dcen furp furp_vote furp_seat denat prz prz_con prz_non_con mixed fptp tnre felect X_law elf_r_all eci, format(%5.0g)
graph bar (mean) furp furp_vote furp_seat, xalternate over(dcen, relabel(1 "Centralization" 2 "Decentralization")) bar(1, bfcolor(black)) bar(2, bfcolor(gs15)) bar(3, bfcolor(gs16)) ytitle(Regional Parties (Percentage of Total Number, Votes and Seats), size(vsmall)) legend(order(1 "Number" 2 "Vote"  3 "Seat")) scheme(s2mono)


use "/Users/brancati/Documents/Publications/BJPS2008/BJPS Final Version/Brancati_BJPSrep.dta"
drop if cnty == "Bosnia-Herzegovina"
reg furp_vote dcen prz tnre felect mixed fptp X_law  fifties sixties seventies eighties nineties naughts
outreg using BJPS_Table2, replace se 
reg furp_vote dcen prz_con prz_non_con tnre felect mixed fptp X_law fifties sixties seventies eighties nineties naughts
outreg using BJPS_Table2, replace append se
reg furp_vote dcen expgdp prz_con prz_non_con tnre felect mixed fptp X_law fifties sixties seventies eighties nineties naughts  
outreg using BJPS_Table2, replace append se
reg furp_vote dcen prz_con prz_non_con tnre felect mixed fptp X_law elf_r_all fifties sixties seventies eighties nineties naughts   
outreg using BJPS_Table2, replace append se           
reg furp_vote dcen prz_con prz_non_con tnre felect mixed fptp X_law eci fifties sixties seventies eighties nineties naughts
outreg using BJPS_Table2, replace append se

use "/Users/brancati/Documents/Publications/BJPS2008/BJPS Final Version/Brancati_BJPSrep.dta"
drop if cnty == "Bosnia-Herzegovina"
collapse furp_vote  dcen prz prz_con prz_non_con tnre felect mixed fptp X_law expgdp elf_r_all eci, by (cnty)
reg furp_vote dcen prz tnre felect mixed fptp X_law  
outreg using BJPS_Table3, bdec(2) rdec(3) coefastr 3aster replace se 
reg furp_vote dcen prz_con prz_non_con tnre felect mixed fptp X_law 
outreg using BJPS_Table3, bdec(2) rdec(3) coefastr 3aster  replace append se
reg furp_vote dcen expgdp prz_con prz_non_con tnre felect mixed fptp X_law 
outreg using BJPS_Table3, bdec(2) rdec(3) coefastr 3aster  replace append se
reg furp_vote dcen prz_con prz_non_con tnre felect mixed fptp X_law elf_r_all 
outreg using BJPS_Table3, bdec(2) rdec(3) coefastr 3aster replace append se           
reg furp_vote dcen prz_con prz_non_con tnre felect mixed fptp X_law eci
outreg using BJPS_Table3, bdec(2) rdec(3) coefastr 3aster replace append se


use "/Users/brancati/Documents/Publications/BJPS2008/BJPS Final Version/Brancati_BJPSrep.dta"
drop if cnty == "Bosnia-Herzegovina"
reg denat dcen prz tnre felect mixed fptp X_law  fifties sixties seventies eighties nineties naughts
outreg using BJPS_Table4, replace se 
reg denat dcen prz_con prz_non_con tnre felect mixed fptp X_law fifties sixties seventies eighties nineties naughts
outreg using BJPS_Table4, replace append se
reg denat dcen expgdp prz_con prz_non_con tnre felect mixed fptp X_law fifties sixties seventies eighties nineties naughts  
outreg using BJPS_Table4, replace append se
reg denat dcen prz_con prz_non_con tnre felect mixed fptp X_law elf_r_all fifties sixties seventies eighties nineties naughts   
outreg using BJPS_Table4, replace append se           
reg denat dcen prz_con prz_non_con tnre felect mixed fptp X_law eci fifties sixties seventies eighties nineties naughts
outreg using BJPS_Table4, replace append se


use "/Users/brancati/Documents/Publications/BJPS2008/BJPS Final Version/Brancati_BJPSrep.dta"
drop if cnty == "Bosnia-Herzegovina"
collapse denat dcen prz prz_con prz_non_con tnre felect mixed fptp X_law expgdp elf_r_all eci, by (cnty)
reg denat dcen prz tnre felect mixed fptp X_law 
outreg using BJPS_Table5, bdec(2) rdec(3) coefastr 3aster  replace se 
reg denat dcen prz_con prz_non_con tnre felect mixed fptp X_law 
outreg using BJPS_Table5, bdec(2) rdec(3) coefastr 3aster  replace append se
reg denat dcen expgdp prz_con prz_non_con tnre felect mixed fptp X_law 
outreg using BJPS_Table5, bdec(2) rdec(3) coefastr 3aster  replace append se
reg denat dcen prz_con prz_non_con tnre felect mixed fptp X_law elf_r_all
outreg using BJPS_Table5, bdec(2) rdec(3) coefastr 3aster  replace append se           
reg denat dcen prz_con prz_non_con tnre felect mixed fptp X_law eci 
outreg using BJPS_Table5, bdec(2) rdec(3) coefastr 3aster  replace append se


use "/Users/brancati/Documents/Publications/BJPS2008/BJPS Final Version/Brancati_BJPSrep.dta"
drop if cnty == "Bosnia-Herzegovina"
ivreg2 furp_vote prz tnre felect mixed fptp X_law (dcen = pop uk_colony surface divide) 
estimates store ivreg
reg furp_vote dcen prz tnre felect mixed fptp X_law 
estimates store reg
hausman ivreg reg

use "/Users/brancati/Documents/Publications/BJPS2008/BJPS Final Version/Brancati_BJPSrep.dta"
drop if cnty == "Bosnia-Herzegovina"
ivreg2 denat prz tnre felect mixed fptp X_law (dcen = pop uk_colony surface divide) 
estimates store ivreg
reg denat dcen prz tnre felect mixed fptp X_law 
estimates store reg
hausman ivreg reg
